FreeBSD : samba -- multiple vulnerabilities (50a1bbc9-fb80-11e9-9e70-005056a311d1)

medium Nessus Plugin ID 130439

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The samba project reports :

Malicious servers can cause Samba client code to return filenames containing path separators to calling code.

When the password contains multi-byte (non-ASCII) characters, the check password script does not receive the full password string.

Users with the 'get changes' extended access right can crash the AD DC LDAP server by requesting an attribute using the range= syntax.

Solution

Update the affected packages.

See Also

https://www.samba.org/samba/security/CVE-2019-10218.html

https://www.samba.org/samba/security/CVE-2019-14833.html

https://www.samba.org/samba/security/CVE-2019-14847.html

http://www.nessus.org/u?7c42ce88

Plugin Details

Severity: Medium

ID: 130439

File Name: freebsd_pkg_50a1bbc9fb8011e99e70005056a311d1.nasl

Version: 1.7

Type: local

Published: 11/1/2019

Updated: 12/17/2019

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2019-14833

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 4.9

Temporal Score: 3.6

Vector: AV:N/AC:M/Au:S/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.4

Temporal Score: 4.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:samba410, p-cpe:/a:freebsd:freebsd:samba411, p-cpe:/a:freebsd:freebsd:samba48, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 10/29/2019

Vulnerability Publication Date: 9/29/2019

Reference Information

CVE: CVE-2019-10218, CVE-2019-14833, CVE-2019-14847